<?php
// $Id: opengrid_grid_assembler.inc,v 1.2 2010/07/06 18:09:10 mojah Exp $

function layout_grid_assembler($layout) {
  $class = array();
  $themes = list_themes();
  global $theme_key;

  $settings = theme_get_settings($theme_key);
  
  // Load values for containers
  if($settings['container_columns'] != 'none' &&  $settings['independent_containers'] != 1){
    $class['page_classes'][] =  $settings['container_columns']; 
  }
  if($settings['container_extras'] != ''){
    $class['page_classes'][] = $settings['container_extras'];
  }
  //if containers are independent add the class container to the main navigation div 
  if($settings['independent_containers'] == 1){
    $class['main_navigation_classes'][] =  ' '. $settings['container_columns']; 
    $class['main_navigation_classes'][] =  ' '. $settings['navigation_extras']; 
  }
  
  // Load values for grids
  if (is_array($settings[$layout]['grids_settings'])) {
    $regions = array('grid', 'prefix', 'suffix', 'push', 'pull');
    foreach ($settings[$layout]['grids_settings'] as $key => $values) {
      foreach ($regions as $data) {
        $class[$key][] = $values[$data] != 0 ?  $data .'_'. $values[$data] : '';
      }
      $class[$key][] = ($values['extras'] != '') ? $values['extras'] : '';
      $class[$key][] = ($values['alpha'] == 1) ? 'alpha' : '';
      $class[$key][] = ($values['omega'] == 1) ? 'omega' : '';
      if($settings['independent_containers'] == 1){
	$container_key = str_replace('_grid','_classes', $key);
	$class[$container_key][] = ($settings['container_columns'] != 'none') ? $settings['container_columns'] : '';
      }
    }
  }
  if (is_array($class)) {
    foreach ($class as $key => $classes) {
      $vars[$key] = implode(' ', $class[$key]);
    }
  }

  return $vars;
}
